Skip to main content
POST
/
push
/
notifications
Send a push notification
curl --request POST \
  --url https://api.sendrealm.com/push/notifications \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "app_id": "<string>",
  "to": {
    "token": "<string>",
    "device_id": "<string>"
  },
  "notification": {
    "title": "<string>",
    "body": "<string>",
    "image_url": "<string>",
    "launch_url": "<string>"
  },
  "include_aliases": {
    "external_id": [
      "<string>"
    ],
    "email": [
      "jsmith@example.com"
    ]
  },
  "data": {},
  "android": {
    "channel_id": "<string>",
    "small_icon": "<string>",
    "large_icon": "<string>",
    "big_picture": "<string>",
    "category": "<string>",
    "sound": "<string>",
    "lockscreen_visibility": "<string>",
    "led_color": "<string>",
    "accent_color": "<string>",
    "ttl": "<string>"
  },
  "ios": {
    "sound": "<string>",
    "badge": 1,
    "category": "<string>",
    "thread_id": "<string>",
    "mutable_content": true
  }
}
'
{
  "status": 123,
  "data": {
    "total": 123,
    "sent": 123,
    "failed": 123,
    "notifications": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "created_at": "2023-11-07T05:31:56Z",
        "device_id": "<string>"
      }
    ]
  },
  "error": null,
  "metadata": null
}

Documentation Index

Fetch the complete documentation index at: https://docs.sendrealm.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Push notification payload

app_id
string
required

Push app short ID.

to
object
required

Direct push target. Use either token or device_id.

notification
object
required
target_channel
enum<string>
Available options:
push
include_aliases
object

Contact alias targets. Use either external_id or email.

data
object
android
object
ios
object

Response

Push notification sent successfully

status
number
data
object
error
unknown
metadata
unknown